=== debian/changelog ===
indi-eqmod (1.0+20220129131520-1) unstable; urgency=medium

  * build from indi-3rdparty git after release of version 1.9.4
  * build together with indi version 1.9.4

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 29 Jan 2022 13:44:23 +0000

indi-eqmod (1.0-2) unstable; urgency=medium

  * source upload
  * debian/control: move to debian-astro

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 05 Dec 2021 11:00:07 +0100

indi-eqmod (1.0-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 03 Dec 2021 19:00:07 +0100
