## indi-eqmod 1.0+20220611123707

=== debian/changelog ===
indi-eqmod (1.0+20220611123707-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Thorsten Alteholz ]
  * build version from git
  * based on indi-3rdparty release 1.9.6

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 11 Jun 2022 12:37:18 +0000
