=== test/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED (VERSION 3.0)

FIND_PACKAGE (GMock REQUIRED)
FIND_PACKAGE (Threads REQUIRED)

MESSAGE (STATUS "GTEST_BOTH_LIBRARIES ${GTEST_BOTH_LIBRARIES}")
MESSAGE (STATUS "GTEST_MAIN_LIBRARIES ${GTEST_MAIN_LIBRARIES}")
MESSAGE (STATUS "GTEST_LIBRARIES ${GTEST_LIBRARIES}")
MESSAGE (STATUS "GTEST_INCLUDE_DIRS ${GTEST_INCLUDE_DIRS}")
MESSAGE (STATUS "GMOCK_LIBRARIES ${GMOCK_LIBRARIES}")
MESSAGE (STATUS "GMOCK_INCLUDE_DIRS ${GMOCK_INCLUDE_DIRS}")

ENABLE_TESTING()

INCLUDE_DIRECTORIES ( ${GTEST_INCLUDE_DIRS} )
INCLUDE_DIRECTORIES ( ${GMOCK_INCLUDE_DIRS} )
INCLUDE_DIRECTORIES ( ${CMAKE_SOURCE_DIR} )

SET (test_eqmod_SRCS
	test_eqmod.cpp ${eqmod_C_SRCS} ${eqmod_CXX_SRCS}
)

if (NOT MSVC)
    set (PTHREAD_LIBRARIES -pthread)
endif()

ADD_EXECUTABLE(test_eqmod
	${test_eqmod_SRCS}
)

if(WITH_ALIGN)
  target_link_libraries(test_eqmod ${PTHREAD_LIBRARIES} ${GTEST_BOTH_LIBRARIES} ${GMOCK_LIBRARIES} ${INDI_LIBRARIES} ${NOVA_LIBRARIES} ${INDI_ALIGN_LIBRARIES} ${GSL_LIBRARIES} ${ZLIB_LIBRARY})
else(WITH_ALIGN)
  target_link_libraries(test_eqmod ${PTHREAD_LIBRARIES} ${GTEST_BOTH_LIBRARIES} ${GMOCK_LIBRARIES} ${INDI_LIBRARIES} ${NOVA_LIBRARIES})
endif(WITH_ALIGN)

ADD_TEST(test_eqmod test_eqmod)
