=== debian/changelog ===
indi-eqmod (1.0+20230126190232-4) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113017)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Sep 2025 00:23:29 +0200

indi-eqmod (1.0+20230126190232-3) unstable; urgency=medium

  * add gcc15.patch (Closes: #1096836)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 25 Sep 2025 09:02:46 +0200

indi-eqmod (1.0+20230126190232-2) unstable; urgency=medium

  * add patch to be able to use new libahp-gt
    (Closes: #1101229)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 04 May 2025 12:02:46 +0200

indi-eqmod (1.0+20230126190232-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 1.0

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 26 Jan 2023 19:02:46 +0000
