=== debian/control ===
--- 
+++ 
@@ -5,12 +5,17 @@
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: debhelper-compat (= 13)
 	, cmake
+	, pkg-config
+	, libgmock-dev
+	, libgtest-dev
 	, libusb-1.0-0-dev
 	, libindi-dev
 	, zlib1g-dev
 	, libnova-dev
 	, libgsl-dev
-Standards-Version: 4.6.0
+	, libahp-gt-dev, libahp-gt1
+#	, libahp-xc-dev
+Standards-Version: 4.7.2
 Homepage: https://github.com/indilib/indi-3rdparty
 Rules-Requires-Root: no
 XS-Autobuild: yes
